.test{
    background-color: #3cb878;
}

body{
    font-family: "Ubuntu", sans-serif;
    margin: 0; 
}
header{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 1000; 
}
.content__wraper{
    width: 100%;
    height: 100vh;
    background-image: url("images/Фон 1.png");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    padding-top: 58px;
    box-sizing: border-box;
}
.main__content{
    height: calc(100vh - 58px);
}
.menu{
    width: 100%;
    height: 58px;
    box-shadow: 0px 4px 4px 0px #00000040;
    background: #00000066;
    display: flex;
    align-items: center;
    justify-content: center;
}
.menu__content {
   
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 1211px;
}
.item__menu{
    display: flex;
}
a{
    text-decoration: none;
    color: #fff;
}

h1 {
    font-weight: 700;
    font-size: 22px;
    line-height: 100%;
    color: #fff;
    transition: color 0.3s ease;
   
}
h1 :hover{
    color: #3cb878;
}
.right__menu--content {
    display: flex;
    align-items: center;
   
}
.header__menu--nav {
    width: 126px;
    height: 24px; 
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    padding-right: 20px;
    
}
.header__menu--nav::before{
    content: '';
    right: 0;
    width: 1px;
    height: 19px;
    background: rgba(255, 255, 255, 0.9);
    opacity: 0.5;
    position: absolute;
}

.header__menu--item {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 27px;
}
.svg__elements:hover {
    fill: #3cb878;
}

.item__menu1{
    font-weight: 400;
    font-size: 14px;
    line-height: 100%;
    color: #fff;
    
}
.item__menu2{
    font-weight: 400;
    font-size: 14px;
    line-height: 100%;
    color: #fff;
    transition: color 0.3s ease;
}
.item__menu2:hover{
    color: #3cb878;
}
.header__login {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 178px;
    padding-left: 27px;
}
.text{
    color: #fff;
    font-weight: 400;
    font-size: 14px;
    line-height: 100%;

}
.item__menu2:hover{
    color: #3cb878;
}


main {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;

   
}

.registration {
    width: 100%; 
   
    height: 100%; 
    width: 444px;
    height: 584px; 
   
    background: #fff;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
}
.registration::before {
    content: '';
    position: absolute;
    width: 18px;
    height: 18px;
    background: #3cb878;
    left: 0;
    top: 29px;
}
.svg__elements{
    fill: #fff;
    transition: color 0.9s ease;
}
.svg__elements:hover{
    fill: #3cb878;
}
.registration__container {
    width: 324px;
  
}
.header__regestration {
    width: 324px;
   
    display: flex;
    align-items: end;
    justify-content: space-between;
}
.title__regestretson{
    font-weight: 400;
    font-size: 20px;
    line-height: 100%;
    text-align: start;
    color: #434343;
}
.link{
    display: flex;
   
    padding-bottom: 16px;
}
.regestretson__link{
    font-weight: 400;
    font-size: 14px;
    line-height: 100%;
    color:  #3CB878;
    transition: color 0.9s ease;;
}
.regestretson__link:hover {
    text-decoration: underline;
    color: #01813f;
}
.button__link{
    display: flex;
    justify-content: space-between;
    padding-bottom: 31px;

}
.facebook__button{
    width: 160px;
    height: 48px;
    background-color: #305db8;
    border: none;
    cursor: pointer;
    transition: color 0.9s ease;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 4px;

   
}
.facebook__button:hover {
    background-color: #022263;
}
.gogle__button{
    width: 160px;
    height: 48px;
    background-color:  #df4a32;;
    border: none; 
    cursor: pointer;
    transition: color 0.9s ease;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 4px;
    
}

.gogle__button:hover {
    background-color:  #ab1f09;
}

.button__elements{
    width: 124px;
    height: 24px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}


.title__button{
    font-weight: 400;
    font-size: 16px;
    line-height: 100%;
    color: #fff;
    font-family: "Ubuntu", sans-serif;
}
.button__link--image {
    position: relative;
    display: flex;
    align-items: center;
    width: 39px;
}
.button__link--image::after{
    content: "";
    background: #2b0d09;
    width: 1px;
    height: 28px;
    opacity: 0.1; 
    position:absolute;
    right: 0%;
}

.form-group {
    margin-bottom: 16px;
}
  
.custom-input {
    width: 324px; 
    height: 46px; 
   
    border-radius: 4px;
    fill: #fff;
    box-shadow: 0 3px 8px 0 rgba(0, 0, 0, 0.21);
    transition: box-shadow 0.3s;
    border: none; 
  }
  
.custom-input:focus {
    box-shadow: 0 3px 8px 0 rgba(0, 0, 0, 0.5);
    outline: none;
  }
  
.checkbox-container {
    display: flex;
    align-items: center;
    cursor: pointer;
   
  }
  
.checkbox-container input {
    margin-right: 8px;
  }
  

.form-group label {
    display: none;
}
.create-account-button{
    border-radius: 4px;
    width: 100%;
    height: 46px;
    background: #3CB878CC;
    border: none;
    cursor: pointer;
    transition: color 0.5s ease;
}
.create__button{
   
    padding-top: 20px;
}
.create-account-text{
    font-weight: 400;
    font-size: 16px;
    line-height: 100%;
    color: #fff;
}
.create-account-button:hover{
    background-color: #01813f;
}

.checkbox__text{
    color: #3cb878;
    transition: color 0.9s ease;
    
}
.checkbox__title{
    font-weight: 400;
    font-size: 14px;
    line-height: 100%;
    color: #434343;

}
.checkbox__text:hover {
    text-decoration: underline;
    color: #01813f;
}
.checkbox-container input:checked + label:before {
    background-color: #01813f; 
}
.registration__lines{
    margin-bottom: 11px;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}
.or::after{
    content: '';
    border: 1px solid #f2f2f2;
    width: 152px;
    height: 0px;
    position: absolute;
    right: 15px;
   
 
}
.or::before {
    content: '';
    border: 1px solid #f2f2f2;
    width: 152px;
    height: 0px;
    position: absolute;
    left: 15px;
  
}

.or{
    font-weight: 400;
    font-size: 14px;
    line-height: 100%;
    color: #848484;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    
}
.custom-input::placeholder {
    font-weight: 400;
    font-size: 14px;
    line-height: 100%;
    color: #bebebe;
    font-family: "Ubuntu", sans-serif;
  }